using bdAntifraude.dbcontext;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace bdAntifraude.db
{
    public partial class TRAMOSSILTRA
    {
        [NotMapped]
        public object DESCRIPCIONTRAMOXML
        {
            get
            {
                if (this.IDPERIODONavigation != null)
                {
                    if (this.IDPERIODONavigation.IDTIPOLIQUIDACIONNavigation != null)
                    {
                        return this.IDPERIODONavigation.IDTIPOLIQUIDACIONNavigation.VALORALFABETICO1;
                    }
                    else
                    {
                        return null;
                    }

                }
                else
                {
                    return null;
                }
            }
        }
    }
}
